#pragma once
#include "sdkexport.h"
#include "Pose.h"

namespace mpl {
class MPL_API Segment {
public:
    enum class Type { Line = 0, Circle, Rapid };
    Type type;
    
    Pos p1;
    Pos p2;
    
    public:
    Segment() : type(Type::Line), p1(), p2() {}
    Segment(Type t, const Pos& pos1, const Pos& pos2) : type(t), p1(pos1), p2(pos2) {}
};
} // namespace mpl
